Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Save content strategy

POST /api/content/strategy

Persist a content strategy authored by the caller. Does not invoke Pipeline hosted inference.

Parameters

workspaceId
string
Optional with API key auth, inferred from the key.
name
string
No description.
pillarsrequired
object[]
No description.
weeklyDistributionrequired
object
No description.
platformDistribution
object
No description.

Example

REST requestbash
curl -X POST "https://app.pipeline.help/api/content/strategy" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"pillars":[{"id":"00000000-0000-4000-8000-000000000000","name":"example","purpose":"example","funnelStage":"tofu","postTypes":[{"id":"00000000-0000-4000-8000-000000000000","name":"example","description":"example","promptHints":"example"}]}],"weeklyDistribution":{}}'

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"name": {
"type": "string"
},
"isActive": {
"type": "boolean"
}
},
"required": [
"id",
"workspaceId",
"name",
"isActive"
]
}
},
"required": [
"success",
"data"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline